Bug Hunting Session
Bug 121867 - FILESAVE DOCX Zoom as Page Width not saved
Summary: FILESAVE DOCX Zoom as Page Width not saved
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.3.0 target:6.2.1
Keywords: bibisected, filter:docx, regression
Depends on:
Blocks: Zoom-Issues
  Show dependency treegraph
 
Reported: 2018-12-02 18:00 UTC by la .myrf.
Modified: 2019-02-11 13:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description la .myrf. 2018-12-02 18:00:41 UTC
Description:
Microsoft Word documents do not save zoom as page width.

To reproduce error:

* Make a new document in Writer
* Change zoom to Page Width (View > Zoom > Page Width)
* Save as a Microsoft Word document (File > Save as; "document.docx"; Save)
* Close document
* Open it again
* Zoom is no longer Page Width

Steps to Reproduce:
* Make a new document in Writer
* Change zoom to Page Width (View > Zoom > Page Width)
* Save as a Microsoft Word document (File > Save as; "document.docx"; Save)
* Close document
* Open it again
* Zoom is no longer Page Width

Actual Results:
Zoom is no longer Page Width

Expected Results:
Zoom should be Page Width


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 5.1.6.2
Build ID: 1:5.1.6~rc2-0ubuntu1~xenial4
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Dieter Praas 2018-12-02 19:55:24 UTC
Thank you for reporting the bug. It seems you're using an old version of LibreOffice. Could you please try to reproduce it with the latest version of LibreOffice from https://www.libreoffice.org/download/libreoffice-fresh/ ? I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the latest version. Change to RESOLVED WORKSFORME, if the problem went away.
Comment 2 la .myrf. 2019-01-08 16:29:24 UTC
I updated and it still seems to have the same issue
Comment 3 Dieter Praas 2019-01-08 16:44:16 UTC
Different result:

If you open the document in LO it still has page width. If you open it in MS Word, it looses zoom as page width

Version: 6.1.4.2 (x64)
Build-ID: 9d0f32d1f0b509096fd65e0d4bec26ddd1938fd3
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group threaded
Comment 4 la .myrf. 2019-01-08 17:43:08 UTC
No, the error occurs in Libreoffice

Save a document as .odt and zoom to page width is preserved

Save that document as .docx, close the window and open it again with LibreOffice 6.1.4.2 and the zoom is whatever it happened to be at when it was saved, but not page width
Comment 5 Dieter Praas 2019-01-09 08:06:42 UTC
(In reply to la .myrf. from comment #4)
> No, the error occurs in Libreoffice

I can't confirm this, but perhaps somebody else.
Comment 6 Buovjaga 2019-01-24 13:27:20 UTC
I repro.

It works OK with 3.5.0, even MSO understands it. I will bibisect later.

MSO 2013

LibO Version: 6.3.0.0.alpha0+
Build ID: 301ff4dfb82dfd961b993aec151784bd478b4f97
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-01-22_22:44:18
Locale: fi-FI (fi_FI); UI-Language: en-US
Calc: threaded
Comment 7 Buovjaga 2019-01-24 14:30:48 UTC
Bibisected on Ubuntu 14.04 43all to range https://gerrit.libreoffice.org/plugins/gitiles/core/+log/bb36072c92687a954a38aeca7fb9945f8e7cca13..f5080ebb7022c9f5d7d7fdca4fe9d19f9bb8cabf

This certainly jumps out: https://gerrit.libreoffice.org/plugins/gitiles/core/+/9aff8869069601770c7ad6dbdb597076fd75a0a5%5E%21/

sw: implement w:zoom in DOCX export

Adding Cc: to Miklos Vajna
Comment 8 Commit Notification 2019-02-05 08:12:45 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/209f2fe0304114409434a3bf5f1e08c6613d83c0%5E%21

tdf#121867 DOCX filter: handle page width zoom

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Buovjaga 2019-02-05 13:49:35 UTC
Thanks, verified.

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: 5408f0731b9cd8be0e1b7aa5145b825337baad84
CPU threads: 8; OS: Linux 4.20; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 5 February 2019
Comment 10 Commit Notification 2019-02-11 13:44:57 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/ad32ff8f41e452156a2d16119b60542de11b42c8%5E%21

tdf#121867 DOCX filter: handle page width zoom

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.